=== test/oldtests/reorg/Makefile ===
default:
	g++ main.cpp $(shell pkg-config --cflags --libs libbitcoin)
