=== debian/changelog ===
libbitcoin (2.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Revert unintended Maintainer: change from previous NMU.

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Aug 2015 10:21:04 +0200

libbitcoin (2.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition and adjust "abi" in
    debian/rules. (Closes: #791092)
  * Add missing-include.patch: Fix FTBFS due to unknown std::cout.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 06:56:38 +0200

libbitcoin (2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from BTS to fix FTBFS in jessie: configure: error: cannot find
    install-sh, install.sh, or shtool in "." "./.." "./../.."" (Closes: #768726)

 -- Tobias Frost <tobi@debian.org>  Fri, 21 Nov 2014 22:44:56 +0100

libbitcoin (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on big endian architectures.
    Add big-endian.patch.
    Patch by Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>.
    Closes: #765355.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 15 Oct 2014 08:48:57 +0100

libbitcoin (2.0-2) unstable; urgency=medium

  * Add patch 1001 to fix include Boost endian include.
    Fixes FTBFS on big-endian archs.
  * Tighten build-dependency on d-shlibs to versions supporting both
    multiarch and skipping .la files, and simplify rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Aug 2014 13:48:13 +0200

libbitcoin (2.0-1) unstable; urgency=low

  * Initial release.
    Closes: bug#670701.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jun 2014 16:09:10 +0200
