=== debian/control ===
Source: libbitcoin
Section: libs
Priority: optional
Build-Depends: cdbs (>= 0.4.123~),
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 libdb++-dev,
 libleveldb-dev,
 libssl-dev,
 libcurl4-openssl-dev,
 libboost-dev,
 libboost-thread-dev,
 libboost-system-dev,
 libboost-regex-dev,
 libboost-filesystem-dev,
 pkg-config,
 autoconf-archive,
 d-shlibs (>= 0.50),
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl
Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.5
Homepage: https://libbitcoin.org/
Vcs-Git: git://git.debian.org/pkg-bitcoin/libbitcoin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libbitcoin.git

Package: libbitcoin0v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Conflicts: libbitcoin0
Replaces: libbitcoin0
Description: Bitcoin toolkit library for asynchronous apps
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.

Package: libbitcoin0v5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libbitcoin0v5 (= ${binary:Version})
Conflicts: libbitcoin0-dbg
Replaces: libbitcoin0-dbg
Description: Bitcoin toolkit library for asynchronous apps - debugging symbols
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.
 .
 This package contains the debugging symbols.

Package: libbitcoin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbitcoin0v5 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libbitcoin-doc
Description: Bitcoin toolkit library for asynchronous apps - development headers
 libbitcoin is a Bitcoin library targeted high end use.  The library
 places a heavy focus around asynchronous operation.
 .
 libbitcoin is designed as a toolkit - an independent set of mutual
 components with no dependencies between them.
 .
 This package provides header files for developing your applications to
 use libbitcoin template engine.
