=== debian/watch ===
version=3
https://libbitcoin.org/download/libbitcoin-(\d[\d\.]+).tar.bz2
https://github.com/libbitcoin/libbitcoin/tags .*/archive/v?(\d[\d\.]+).tar.gz
