## libbitcoin 2.11.0

=== debian/changelog ===
libbitcoin (2.11.0-1ubuntu2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:25:57 +0000

libbitcoin (2.11.0-1ubuntu1) zesty; urgency=medium

  * Disable testsuite on non intel platforms. The test suite is not
    portable upstream.
  * Import upstream patch to fix FTBFS on big endian platforms.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 28 Oct 2016 15:42:14 +0100

libbitcoin (2.11.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:43:29 +0000

libbitcoin (2.11.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-* URLs:
    + Use cgit web frontend.
    + Use https protocol.
  * Declare compliance with Debian Policy 3.9.8.
  * Update watch file:
    + Add usage comment.
    + Bump format to version 4.
    + Track only Github URL (project website several years behind).
  * Update CDBS get-orig-source hints to use Github URL.
  * Update copyright info:
    + Extend copyright of packaging to cover recent years.
    + Add additional main authors, and extend copyright for main authors
      to recent years (but not beyond - that seems bogus: See
      <https://github.com/libbitcoin/libbitcoin/issues/389>).
    + Update main license: No longer adds exceptions.
      (remaining references apparently bogus: See
      <https://github.com/libbitcoin/libbitcoin/issues/390).
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Use License shortname FSFUL~Boost (not GAP), and merge such Files
      sections.
    + Document newly added files.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
    + Filter debian dir.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Drop patches obsoleted by upstream changes.
  * Track symbols, using pkgkde-symbolshelper.
  * Update package relations:
    + Build-depend (explicitly) on libboost-chrono-dev
      libboost-date-time-dev libboost-locale-dev
      libboost-program-options-dev libboost-test-dev.
    + Build-depend on libsecp256k1-dev.
    + Build-depend on pkg-kde-tools: Needed for symbols tracking.
    + Relax to build-depend unversioned on d-shlibs: Needed version
      satisfied even in oldstable.
    + Stop build-depend on libssl-dev libdb++-dev libcurl4-openssl-dev.
  * Adjust autorebuild hints for changed upstream source.
  * Adjust d-shlibs options: Drop obsolete curl quirk. Fix boost quirk
    to handle underscore/dash.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Apr 2016 14:46:10 +0200
