=== debian/control ===
--- 
+++ 
@@ -8,27 +8,33 @@
  autoconf,
  debhelper,
  dh-buildinfo,
- libdb++-dev,
  libleveldb-dev,
- libssl-dev,
- libcurl4-openssl-dev,
+ libsecp256k1-dev,
  libboost-dev,
+ libboost-chrono-dev,
+ libboost-date-time-dev,
+ libboost-filesystem-dev,
+ libboost-locale-dev,
+ libboost-program-options-dev,
+ libboost-regex-dev,
+ libboost-system-dev,
  libboost-thread-dev,
- libboost-system-dev,
- libboost-regex-dev,
- libboost-filesystem-dev,
+ libboost-test-dev,
  pkg-config,
  autoconf-archive,
- d-shlibs (>= 0.50),
+ d-shlibs,
  libregexp-assemble-perl,
  libimage-exiftool-perl,
- libfont-ttf-perl
-Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+ libfont-ttf-perl,
+ dpkg-dev (>= 1.17.0),
+ pkg-kde-tools
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bitcoin Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://libbitcoin.org/
-Vcs-Git: git://git.debian.org/pkg-bitcoin/libbitcoin.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/libbitcoin.git
+Vcs-Git: https://git.debian.org/git/pkg-bitcoin/libbitcoin.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/libbitcoin.git
 
 Package: libbitcoin0v5
 Section: libs
@@ -53,8 +59,8 @@
 Architecture: any
 Depends: ${misc:Depends},
  libbitcoin0v5 (= ${binary:Version})
-Conflicts: libbitcoin0-dbg
-Replaces: libbitcoin0-dbg
+Conflicts: libbitcoin0
+Replaces: libbitcoin0
 Description: Bitcoin toolkit library for asynchronous apps - debugging symbols
  libbitcoin is a Bitcoin library targeted high end use.  The library
  places a heavy focus around asynchronous operation.
