=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for libbitcoin
 #
 # This program is free software; you can redistribute it and/or modify
@@ -38,17 +38,22 @@
 libpkg = lib$(stem)$(abi)
 devpkg = lib$(stem)-dev
 
-DEB_UPSTREAM_URL = https://libbitcoin.org/download
-DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
+DEB_UPSTREAM_URL = DEB_UPSTREAM_URL = https://github.com/libbitcoin/libbitcoin/archive
+
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # Needed by upstream build
-dev-deps = db++ leveldb ssl curl4-openssl
-dev-deps += boost boost-thread boost-system boost-regex boost-filesystem
-deps = $(patsubst %,$(comma) lib%-dev,$(dev-deps))
+bdeps-dev = leveldb secp256k1 boost
+bdeps-boost = chrono date-time filesystem locale program-options regex
+bdeps-boost += system thread test
+deps = $(patsubst %,$(comma) lib%-dev,$(bdeps-dev))
+deps +=, $(patsubst %,$(comma) libboost-%-dev,$(bdeps-boost))
 deps +=, pkg-config
 
 # Needed for our packaging
-deps-pkg +=, autoconf-archive, d-shlibs (>= 0.50)
+deps-pkg +=, autoconf-archive
 
 CDBS_BUILD_DEPENDS +=, $(deps), $(deps-pkg)
 
@@ -73,6 +78,10 @@
 	find -type f -name '*.metadata_dump' -delete
 	rm -f debian/stamp-extract-copyright
 
+# resolve if release is experimental
+CDBS_BUILD_DEPENDS +=, dpkg-dev (>= 1.17.0)
+EXP_RELEASE = $(filter experimental% UNRELEASED,$(shell dpkg-parsechangelog -S Distribution))
+
 # work around build failure with g++ 4.8
 #CXXFLAGS += -fpermissive
 
@@ -80,13 +89,20 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-bdb --enable-leveldb
 
+# libbitcoin upstream testsuite is intel-only
+# https://github.com/libbitcoin/libbitcoin/issues/446
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
 DEB_MAKE_CHECK_TARGET = check
+endif
+
+# relax symbols check when targeting experimental
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 DEB_INSTALL_EXAMPLES_$(devpkg) = examples/*
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-#  * d-shlibs 0.50 required for --multiarch and --exclude-la options
+deps-pkg +=, d-shlibs
 binary-post-install/$(libpkg) binary-post-install/$(devpkg):: \
  debian/stamp-local-shlibs-$(lib)
 debian/stamp-local-shlibs-$(lib): \
@@ -97,8 +113,8 @@
 		--exclude-la \
 		--multiarch \
 		--override s/libleveldb1-dev/libleveldb-dev/ \
-		--override 's/libboost_\([^-]\+\)\.[0-9]-dev/libboost-\1-dev/' \
-		--override 's/libcurl4-dev/libcurl4-openssl-dev/' \
+		--override 's/libboost_\([a-z0-9.]\+\)\.[0-9]-dev/libboost-\1-dev/' \
+		--override 's/libboost_\([a-z0-9.]\+\)_\([a-z0-9.]\+\)\.[0-9]-dev/libboost-\1-\2-dev/' \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
 			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
@@ -114,18 +130,28 @@
 files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
 stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
 files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
-stems_aclocal_ax = berkeley_db_cxx boost_base boost_system boost_thread
-stems_aclocal_ax += cxx_compile_stdcxx_11
-files_aclocal_ax = $(stems_aclocal_ax:%=$(macrodir)/ax_%.m4)
-files_aclocal = aclocal.m4 $(macrodir)/pkg.m4 $(files_aclocal_ax)
+stems_m4_autoconf = pkg
 stems_aux_autoconf = ar-lib compile install-sh missing
-files_autoconf = configure $(stems_aux_autoconf:%=$(auxdir)/%)
+files_autoconf = aclocal.m4 configure $(stems_aux_autoconf:%=$(auxdir)/%)
+files_autoconf += $(stems_m4_autoconf:%=$(macrodir)/%.m4)
+stems_m4_archive = check_compile_flag check_link_flag check_preproc_flag
+stems_m4_archive += cxx_compile_stdcxx_11 java_devel jni_include_dir
+stems_m4_archive += prog_jar prog_javac prog_javac_works prog_java
+stems_m4_archive += prog_java_works pthread python_devel
+files_archive = $(stems_m4_archive:%=$(macrodir)/ax_%.m4)
+stems_m4_boost = base chrono date_time filesystem locale program_options
+stems_m4_boost += regex system thread unit_test_framework
+files_boost = $(stems_m4_boost:%=$(macrodir)/ax_boost_%.m4)
+stems_m4_misc += lib-ld lib-link lib-prefix
+files_misc = $(stems_m4_axmisc:%=$(macrodir)/%.m4)
 files_automake = $(auxdir)/depcomp $(makefiledirs:=/Makefile.in)
+files_automake += $(auxdir)/test-driver
 files_configure = config.log
-files_autotools = $(files_autotools_core) $(files_libtool) $(files_aclocal)
-files_autotools += $(files_autoconf) $(files_automake) $(files_configure)
-DEB_UPSTREAM_CRUFT_MOVE = $(files_aclocal_ax)
-DEB_ACLOCAL_ARGS = -Im4 --install --force
+stems_autotools = autotools_core libtool aclocal autoconf automake
+stems_autotools += configure archive boost misc
+files_autotools = $(foreach var,$(stems_autotools),$(files_$(var)))
+DEB_UPSTREAM_CRUFT_MOVE = $(files_archive) $(files_boost) $(files_misc)
+DEB_ACLOCAL_ARGS = -I$(macrodir) --install --force
 DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
 DEB_MAKE_CLEAN_TARGET = distclean
 makefile-clean::
@@ -134,3 +160,7 @@
 clean::
 	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
 	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)
+
+# track symbols using pkgkde-symbolshelper
+CDBS_BUILD_DEPENDS +=, pkg-kde-tools
+include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
